import 'package:ansicolor/ansicolor.dart';

class Logger {
  Logger._();

  static final AnsiPen _penInfo = AnsiPen()..black();
  static final AnsiPen _waringInfo = AnsiPen()..yellow();
  static final AnsiPen _penSuccess = AnsiPen()..green();
  static final AnsiPen _penError = AnsiPen()..red();

  static void i(String msg) => print(_penInfo(msg));

  static void w(String msg) => print(_waringInfo(msg));

  static void e(String msg) => print(_penError(msg));

  static void s(String msg) => print(_penSuccess(msg));
}
